Bug 103409 - No selection outline displayed when formula toolbar SUM button is clicked.
Summary: No selection outline displayed when formula toolbar SUM button is clicked.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All Windows (All)
: medium major
Assignee: Henry Castro
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-10-22 11:33 UTC by Dave Barton
Modified: 2016-11-12 16:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Illustration of Missing Selection Outline (94.01 KB, application/vnd.oasis.opendocument.text)
2016-10-22 11:33 UTC, Dave Barton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Barton 2016-10-22 11:33:33 UTC
Created attachment 128155 [details]
Illustration of Missing Selection Outline

Version: 5.3.0.0.alpha1 (x64)
Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
CPU Threads: 8; OS Version: Windows 6.1; UI Render: default; 
Locale: en-AU (en_AU); Calc: group

In earlier versions clicking the formula toolbar SUM button activated a blue selection outline around the estimated cell range. In 5.3.0 (Alpha 1) this outline does not appear. See illustrations in attached Writer document.
Comment 1 Julien Nabet 2016-10-22 12:38:52 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 raal 2016-10-24 14:46:54 UTC
This seems to have begun at the below commit.
Adding Cc: to Henry Castro ; Could you possibly take a look at this one? Thanks

author    Henry Castro <hcastro@collabora.com>    2016-10-04 15:28:27 (GMT)
committer    Henry Castro <hcastro@collabora.com>    2016-10-05 17:12:18 (GMT)
commit    af239f5affe82d0c6449e0e8f9828fe587033f02 (patch)
tree    cc8749c911aa1b0007047fe38b26d34184cc804c
parent    306add13e1d9f70e1111acde8362aea6c169a97d (diff)
sc lok: add .uno:AutoSum
Comment 3 Henry Castro 2016-10-24 18:15:03 UTC
Thanks, in progress to resolve it
Comment 4 Commit Notification 2016-10-25 11:08:51 UTC
Henry Castro committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97f0fbe5830a5d2119fe9f5e8142fe45b255c2ac

tdf#103409: No selection outline displayed when SUM button is clicked

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.